Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
GETOrganization OperationsSince 3.6.0SynchronousAuth Required

QueryIAM2OrganizationProjectRef

QueryIAM2OrganizationProjectRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • projectUuidStringRequired

      The project UUID.

    • organizationUuidStringRequired

      The organization UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/iam2/projects/organizations/refs

/zstack/v1/iam2/projects/organizations/refs

Operation ID

QueryIAM2OrganizationProjectRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/projects/organizations/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "projectUuid": "29db1d979502319da9ecacb37168e0c6", "organizationUuid": "cd0af78809683f72b02a3fe8da0f1db0", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history